Margin Trading Outstanding (Issues Subject to Daily Publication) (/markets/daily_margin_interest)

Daily margin trading outstanding is available.

Overview

Daily margin trading outstanding as of the last business day is available.

This data is also available via the following site but no historical data.

https://www.jpx.co.jp/english/markets/statistics-equities/margin/index.htmlarrow-up-right\

Attention

circle-info
  • No retroactive adjustment will be made to the data that have undergone corporate action.

  • Only stocks for which the Tokyo Stock Exchange or Japan Securities Finance Co., Ltd (JSF) decide it necessary to disclose Daily margin trading outstandings are included.

  • If the past data is revised, the data is provided by this API as follows;

    • Both the data before revision and after revision are provided. When a revision occurs, a record with the same ApplicationDate is added. In such a case, data with the newer PublishedDate represents the revised data while the data with the older PublishedDate can be identified as the pre-correction data.

Parameter and Response

In your request message, either "code" or "date" must be specified. Combination of parameters in the request and results are as below.

Code
Date
From /To
Results

All historical data of a specific issue.

Data of a specific issue for the specified period.

All listed issue data for the specific date.

Get daily margin trading outstandings

GET https://api.jquants-pro.com/v2/markets/daily_margin_interest

Either "code" or "date" must be specified.

"*" Required.

Query Parameters

Name
Type
Description

code

String

issue code

(e.g. 27890 or 2789)

If a 4-character issue code is specified, only the data of common stock will be obtained for the issue on which both common and preferred stocks are listed.

from

String

starting point of data period

(e.g. 20210901 or 2021-09-01)

to

String

end point of data period

(e.g. 20210907 or 2021-09-07)

pagination_key

String

The primary key of the first item that this operation will evaluate. Use the value that was returned for pagination_key in the previous operation.

date

String

date of data

(e.g. 20210907 or 2021-09-07)

Headers

Name
Type
Description

Authorization*

String

Access Key

Data Item

Variable
Description
Data Type
Remark

PublishedDate

Published Date

String

Code

issue code

String

ApplicationDate

Application Date

String

YYYY-MM-DD Represents the point in time when the margin trade volume

PublishReason

Map

Publish reason of daily margin trading outstandings.

ShortMarginOutstanding

Total margin trading (negotiable and standardized margin trading) short positions

Number

DailyChangeShortMarginOutstanding

Change from previous day total margin trading short positions (unit:share)

Number/String

If the issue is not published on the previous day, set -.

ShortMarginOutstandingListedShareRatio

ShortMarginOutstanding

/ Number of listed shares

× 100 (unit:%)

Number/String

In case of ETF, set *

LongMarginOutstanding

Total margin trading (negotiable and standardized margin trading) long positions

Number

DailyChangeLongMarginOutstanding

Change from previous day total margin trading long positions(unit:share)

Number/String

If the issue is not published on the previous day, set -.

LongMarginOutstandingListedShareRatio

LongMarginOutstanding

/ Number of listed shares

× 100 (unit:%)

Number/String

In case of ETF, set *

ShortLongRatio

LongMarginOutstanding

/ ShortMarginOutstanding

× 100 (unit:%)

Number

ShortNegotiableMarginOutstanding

Negotiable margin trading short positions

Number

Negotiable part of the total margin trading short positions

DailyChangeShortNegotiableMarginOutstanding

Change from previous day total margin negotiable trading short positions(unit:share)

Number/String

If the issue is not published on the previous day, set -.

ShortStandardizedMarginOutstanding

Standardized margin trading short positions

Number

Standardized part of the total margin trading short positions

DailyChangeShortStandardizedMarginOutstanding

Change from previous day total margin standardized trading short positions(unit:share)

Number/String

If the issue is not published on the previous day, set -.

LongNegotiableMarginOutstanding

Negotiable margin trading long positions

Number

Negotiable part of the total margin trading long positions

DailyChangeLongNegotiableMarginOutstanding

Change from previous day total margin negotiable trading long positions(unit:share)

Number/String

If the issue is not published on the previous day, set -.

LongStandardizedMarginOutstanding

Standardized margin positions long positions

Number

Standardized part of the total margin trading long positions

DailyChangeLongStandardizedMarginOutstanding

Change from previous day total margin standardized trading long positions(unit:share)

Number/String

If the issue is not published on the previous day, set -.

CompanyName

Company Name (Japanese)

String

CompanyNameEnglish

Company Name (English)

String

Sector17Code

17-Sector code

String

Sector33Code

33-Sector code

String

ScaleCategory

TOPIX Scale category

String

MarketCode

Market segment code

String

MarginCode

Flags of margin and loan issues

String

1: Margin issues,

2: Loan issues,

3: Other issues(non-loan, non-margin)

TSEMarginBorrowingAndLendingRegulationClassification

TSE Margin Borrowing And Lending Regulation Classification

String

Sample Code

Last updated